import time

import flask

import config
import biz.task
from telemetry import init_opentelemetry
from template import load_local_template
from util import api

load_local_template()
import logging

LOGGER = logging.getLogger(__name__)
init_opentelemetry(batch=False)
app = flask.Flask(__name__)

@app.post('/<task_id>')
def do_task(task_id):
    task_info = api.get_task_info(task_id)
    biz.task.start_task(task_info)
    return "OK"


if __name__ == '__main__':
    app.run(host="0.0.0.0", port=9998)
